Bug 188427 - Interface renaming fails with multiple adapters
Interface renaming fails with multiple adapters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-09 12:23 EDT by Ludovic LANGE
Modified: 2014-03-16 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 15:27:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ludovic LANGE 2006-04-09 12:23:02 EDT
Description of problem:
After adding to my server a second ethernet identical adapter, the new adapter
has a random name after boot in the form "devXXXX".
I'm not able to rename it to "eth1" with system-config-network nor udev rules.
However renaming it manually with "ip" is possible.

I can't then configure the eth1 adapter to start automatically.


Version-Release number of selected component (if applicable):
initscripts-8.11.1-1

How reproducible:
Occurs after each boot.

Additional info:
During boot the kernel identifies the adapters and gives them a name :
e100: eth0: e100_probe: addr 0xe8041000, irq 12, MAC addr 00:02:B3:99:8F:BB
e100: eth1: e100_probe: addr 0xe8040000, irq 11, MAC addr 00:02:B3:99:8A:6D

Unfortunately, the names are reversed. I'd like 00:02:B3:99:8F:BB to be eth1 and
00:02:B3:99:8A:6D to stay eth0.


::::::::::::::
ip -o link
::::::::::::::
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue \    link/loopback
00:00:00:00:00:00 brd 00:00:00:00:00:00
2: dev22806: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000\    link/ether
00:02:b3:99:8f:bb brd ff:ff:ff:ff:ff:ff
3: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000\   
link/ether 00:02:b3:99:8a:6d brd ff:ff:ff:ff:ff:ff
4: sit0: <NOARP> mtu 1480 qdisc noop \    link/sit 0.0.0.0 brd 0.0.0.0
::::::::::::::
ifcfg-eth0
::::::::::::::
DEVICE=eth0
HWADDR=00:02:b3:99:8a:6d
ONBOOT=yes
TYPE=Ethernet
NETMASK=255.255.255.0
IPADDR=192.168.2.2
GATEWAY=192.168.2.1
BOOTPROTO=none
USERCTL=no
PEERDNS=yes
IPV6INIT=no
::::::::::::::
ifcfg-eth0:1
::::::::::::::
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
DEVICE=eth0:1
IPADDR=192.168.2.3
::::::::::::::
ifcfg-eth1
::::::::::::::
DEVICE=eth1
HWADDR=00:02:b3:99:8f:bb
ONBOOT=no
TYPE=Ethernet
NETMASK=255.255.255.0
IPADDR=192.168.10.2
GATEWAY=192.168.10.254
BOOTPROTO=none
USERCTL=no
PEERDNS=yes
IPV6INIT=no
::::::::::::::
/etc/modprobe.conf
::::::::::::::
alias eth0 e100
alias eth1 e100
blacklist eepro100
alias usb-controller uhci-hcd
# I2C module options
alias char-major-89 i2c-dev
::::::::::::::
/etc/udev/rules.d/25-static-nic.rules
::::::::::::::
#KERNEL=="eth*", SYSFS{address}=="00:02:b3:99:8a:6d", NAME="eth0"
SUBSYSTEM=="net", SYSFS{address}=="00:02:b3:99:8a:6d", NAME="eth0"
SUBSYSTEM=="net", SYSFS{address}=="00:02:b3:99:8f:bb", NAME="eth1"
Comment 1 Bill Nottingham 2006-04-10 11:29:49 EDT
eth1 will/should get renamed if you run 'ifup eth1'. Direct udev rules aren't
really reliable.
Comment 2 Bill Nottingham 2006-06-30 15:27:21 EDT
This is solved more cleanly with the rawhide initscripts; it uses a special
program invoked from udev to do renames.

Note You need to log in before you can comment on or make changes to this bug.